[MediaWiki-l] Updating a 2007 MediaWiki?

Bartosz Dziewoński matma.rex at gmail.com
Sat Oct 17 15:51:42 UTC 2015


On 2015-10-12 13:53, Dorem - Jérémie Bouillon wrote:
> It's a 2007's 1.9.2 MediaWiki, on a MySQL 4.0 version. The only serious
> extension was Semantic, but not overly used. The content is mostly
> French, with a sprinkle of Polish. I need to update it to the last
> MediaWiki and a somewhat recent MySQL & PHP version.

MediaWiki is at least theoretically able to upgrade its database schema 
from any old version to current one for your chosen version, by running 
the maintenance/update.php script. (Not sure how well Semantic 
extensions handle that, but probably also well enough.) As long as you 
manage to upgrade MySQL and PHP to a compatible version, that is :) 
https://www.mediawiki.org/wiki/Compatibility#Software_required_to_run_MediaWiki

-- 
Bartosz Dziewoński



More information about the MediaWiki-l mailing list